> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a column hashing salt

> Creates a new column hashing salt for the authenticated company.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml post /column-hashing-salts
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /column-hashing-salts:
    post:
      tags:
        - Column Hashing Salts
      summary: Create a column hashing salt
      description: Creates a new column hashing salt for the authenticated company.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RouterCreateColumnHashingSaltRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouterCreateColumnHashingSaltResponse'
          description: OK
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    RouterCreateColumnHashingSaltRequest:
      properties:
        description:
          type: string
        name:
          type: string
        salt:
          type: string
      required:
        - name
      type: object
    RouterCreateColumnHashingSaltResponse:
      properties:
        columnHashingSalt:
          $ref: '#/components/schemas/PayloadsColumnHashingSalt'
        salt:
          type: string
      required:
        - columnHashingSalt
        - salt
      type: object
    PayloadsColumnHashingSalt:
      properties:
        createdAt:
          format: date-time
          type: string
        description:
          type: string
        name:
          type: string
        updatedAt:
          format: date-time
          type: string
        uuid:
          format: uuid
          type: string
      required:
        - uuid
        - name
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````